# Copyright (C) 2001 Tobias Peters <t-peters@berlios.de>
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the
# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA  02111-1307, USA.

class Idl_Parameter
  attr_reader :name
  attr_reader :ptype
  attr_reader :idl_module

  def to_s
    @name
  end

  def initialize(idl_module, ptype, name, attribut_method = false)
    @name = name
    @ptype = ptype
    @idl_module = idl_module

    puts ("Parameter #{ptype} #{name}") if ((attribut_method == false) && $verbose)
  end
end
